Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerAnimation Class Reference

`#include <ExManagerAnimation.h>`

Inheritance diagram for ExManagerAnimation:

## Public Methods
void | Reset (void)
void | SetManagerId (ExManagerId *Id)
## Static Public Methods
ExManagerAnimation * | CreateSingleton (void)
## Data Fields
std::ostrstream * | Consol
void(* | WriteToConsol )(const char *Label)
## Private Methods
| ExManagerAnimation (void)
| ~ExManagerAnimation (void)
## Private Attributes
ExManagerId * | ManagerId
## Static Private Attributes
bool | m_flag = false
ExManagerAnimation * | m_instance = NULL

## Constructor & Destructor Documentation

ExManagerAnimation | ( | void |  | ) | `[private]`

| Definition at line 42 of file ExManagerAnimation.cpp.
    00043 {
    00044 }

~ExManagerAnimation | ( | void |  | ) | `[private]`

| Definition at line 46 of file ExManagerAnimation.cpp.
    00047 {
    00048 }

## Member Function Documentation

ExManagerAnimation * CreateSingleton | ( | void |  | ) | `[static]`

| Definition at line 28 of file ExManagerAnimation.cpp. References CreateSingleton(), Guard, m_flag, and m_instance. Referenced by CreateSingleton(), and main().
    00028                                                            {
    00029 Guard(ExManagerAnimation* ExManagerAnimation::CreateSingleton(void))
    00030         if(!m_flag)
    00031         {
    00032                 m_flag = true; // We are creating the error log now, so set flag to true
    00033                 m_instance = new ExManagerAnimation; // Create the error log
    00034         }else
    00035         {
    00036                 std::cout<<"Error singleton already created"<<std::endl;
    00037         }
    00038         return m_instance;
    00039 UnGuard
    00040 }

void Reset | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 50 of file ExManagerAnimation.cpp. Referenced by ExManagerCommand::ProcesExCAction().
    00051 {
    00052 }

void SetManagerId | ( | ExManagerId * | Id | ) | `[inline]`

| Definition at line 86 of file ExManagerAnimation.h. References ManagerId. Referenced by SetManagerLink().
    00087 {ManagerId      = Id;}

## Field Documentation

std::ostrstream* Consol

| Reimplemented from ExManager. Definition at line 83 of file ExManagerAnimation.h.

bool m_flag = false`[static, private]`

| Definition at line 25 of file ExManagerAnimation.cpp. Referenced by CreateSingleton().

ExManagerAnimation * m_instance = NULL`[static, private]`

| Definition at line 26 of file ExManagerAnimation.cpp. Referenced by CreateSingleton().

ExManagerId* ManagerId`[private]`

| Definition at line 68 of file ExManagerAnimation.h.

void(* WriteToConsol)(const char *Label)

The documentation for this class was generated from the following files:

- ExManagerAnimation.h
- ExManagerAnimation.cpp